## org.apache.batik.bridge
Class UpdateManagerEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.bridge.UpdateManagerEvent

All Implemented Interfaces:
  java.io.Serializable

    public class UpdateManagerEvent

extends java.util.EventObject

This class represents an event which indicate an event originated from a UpdateManager instance.

See Also:
  Serialized Form

Field Summary
`protected boolean` `clearPaintingTransform` True if before painting this update the canvas's painting transform needs to be cleared.
`protected java.util.List` `dirtyAreas` The dirty areas, as a List of Rectangles.
`protected java.awt.image.BufferedImage` `image` The buffered image.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UpdateManagerEvent(java.lang.Object source, java.awt.image.BufferedImage bi, java.util.List das)` Creates a new UpdateManagerEvent.
`UpdateManagerEvent(java.lang.Object source, java.awt.image.BufferedImage bi, java.util.List das, boolean cpt)` Creates a new UpdateManagerEvent.

Method Summary
`boolean` `getClearPaintingTransform()` returns true if the component should clear it's painting transform before painting the associated BufferedImage.
`java.util.List` `getDirtyAreas()` Returns the dirty areas (list of rectangles)
`java.awt.image.BufferedImage` `getImage()` Returns the image to display, or null if the rendering failed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    protected java.awt.image.BufferedImage image

  The buffered image.

### dirtyAreas

    protected java.util.List dirtyAreas

  The dirty areas, as a List of Rectangles.

### clearPaintingTransform

    protected boolean clearPaintingTransform

  True if before painting this update the canvas's painting transform needs to be cleared.

Constructor Detail

### UpdateManagerEvent

    public UpdateManagerEvent(java.lang.Object source,
                              java.awt.image.BufferedImage bi,
                              java.util.List das)

  Creates a new UpdateManagerEvent.

  Parameters:
    `source` - the object that originated the event, ie. the UpdateManager.
    `bi` - the image to paint.
    `das` - List of dirty areas.

### UpdateManagerEvent

    public UpdateManagerEvent(java.lang.Object source,
                              java.awt.image.BufferedImage bi,
                              java.util.List das,
                              boolean cpt)

  Creates a new UpdateManagerEvent.

  Parameters:
    `source` - the object that originated the event, ie. the UpdateManager.
    `bi` - the image to paint.
    `das` - List of dirty areas.
    `cpt` - Indicates if the painting transform should be cleared as a result of this event.

Method Detail

### getImage

    public java.awt.image.BufferedImage getImage()

  Returns the image to display, or null if the rendering failed.

### getDirtyAreas

    public java.util.List getDirtyAreas()

  Returns the dirty areas (list of rectangles)

### getClearPaintingTransform

    public boolean getClearPaintingTransform()

  returns true if the component should clear it's painting transform before painting the associated BufferedImage.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.